Trackpad detected as PS/2 Generic Mouse

Bug #359363 reported by keito
256
This bug affects 51 people
Affects Status Importance Assigned to Milestone
linux (Arch Linux)
New
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

On the Dell Latitude XT with an Alps trackpad, the trackpad is not detected as one but as a "PS/2 Generic Mouse", meaning it does not work with the Synaptics driver and is lacking any trackpad-like features. The expected result is that it would be detected as a Synaptics touchpad (package xserver-xorg-input-synaptics is installed).

I was running Intrepid with 2.6.27, where the problem existed; upgrading to the Jaunty beta with 2.6.28 did not help.

uname -a reports:
Linux tableau 2.6.28-11-generic #41-Ubuntu SMP Wed Apr 8 04:39:23 UTC 2009 x86_64 GNU/Linux

dmesg reports: (attached)
[ 31.541971] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/input/input12

/proc/bus/input/devices reports: (attached)
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input12
U: Uniq=
H: Handlers=mouse4 event12
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

Revision history for this message
keito (keito) wrote :
Revision history for this message
keito (keito) wrote :
Revision history for this message
Jesse Dudley (jesse-dudley) wrote :

I believe I have the same bug. I am running Xubuntu 9.04 on a Malata PC-81006. "xinput list" lists a "ImExPS/2 Generic Explorer Mouse" but no touchpad. "lshal | grep synaptics" results in nothing. Copying and adding parameters to enable scrolling to /etc/hal/fdi/policy/11-x11-synaptics.fdi .does not result in any change.

The touchpad works as a mouse, but lacks scrolling and other features.

I have all the necessary output if needed.

Thank you for your work.

Here are snippets from dmesg and device:

dmesg: input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio2/input/input8

device:
I: Bus=0011 Vendor=0002 Product=0006 Version=0000
N: Name="ImExPS/2 Generic Explorer Mouse"
P: Phys=isa0060/serio2/input0
S: Sysfs=/devices/platform/i8042/serio2/input/input8
U: Uniq=
H: Handlers=mouse1 event8
B: EV=7
B: KEY=1f0000 0 0 0 0 0 0 0 0
B: REL=143

Revision history for this message
keito (keito) wrote :

I upgraded to Karmic, but still having the same issue with the touchpad being detected as PS/2 Generic Mouse, instead of a Synaptics touchpad.

tpconfig, however, seems to recognize it:
Probing mouse port [/dev/psaux].
Grabbing mouse port [/dev/psaux].
Trying Synaptics detection.
[query 00 => 0x60 0x3 0xc8]
Found Synaptics Touchpad.
[query 0x3 => 0x60 0x3 0xc8]
Firmware: 8.96 (multiple-byte mode).
[query 0x1 => 0x60 0x3 0xc8]
Corner taps disabled; no tap gestures.

In alps.c in the Ubuntu Karmic kernel source, ID 0x60, 0x3, 0xc8 is mentioned.

Revision history for this message
Jeremy Foshee (jeremyfoshee) wrote :

Hi Keito,

This bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/lucid.

If it remains an issue, could you run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 359363

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
Pooh (tmp11) wrote :

I tested with the latest Lucid beta 1 and it's still not working

sudo tpconfig -D 3 -i
Probing mouse port [/dev/psaux].
Grabbing mouse port [/dev/psaux].
Trying Synaptics detection.
[query 00 => 0x60 0x3 0xc8]
Found Synaptics Touchpad.
[query 0x3 => 0x60 0x3 0xc8]
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
[query 0x1 => 0x60 0x3 0xc8]
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.
Extra options: 3

===================
I: Bus=0011 Vendor=0002 Product=0005 Version=0000
N: Name="ImPS/2 Generic Wheel Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input9
U: Uniq=
H: Handlers=mouse1 event8
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=103

Revision history for this message
keito (keito) wrote :

I no longer have the laptop so the bug doesn't apply to me anymore. Pooh, it would be great if you could provide the information Jeremy requested.

Revision history for this message
gmoralesasencio@gmail.com (gmoralesasencio) wrote :

I've got the same problem here my versión is Lucid

this is Uname -i output:
Linux dellLap 2.6.32-23-generic #37-Ubuntu SMP Fri Jun 11 07:54:58 UTC 2010 i686 GNU/Linux

dmesg:
[ 28.068616] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/input/input13

/proc/bus/input/devices reports:
I: Bus=0003 Vendor=046d Product=c316 Version=0110
N: Name="Logitech Logitech USB Keyboard"
P: Phys=usb-0000:00:13.1-1/input0
S: Sysfs=/devices/pci0000:00/0000:00:13.1/usb3/3-1/3-1:1.0/input/input5
U: Uniq=
H: Handlers=kbd event5
B: EV=120013
B: KEY=10000 7 ff800000 7ff febeffdf ffefffff ffffffff fffffffe
B: MSC=10
B: LED=1f

xinput -list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ N-Trig Pen id=11 [slave pointer (2)]
⎜ ↳ N-Trig Pen id=12 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=14 [slave pointer (2)]
⎜ ↳ Macintosh mouse button emulation id=15 [slave pointer (2)]
⎜ ↳ Bluetooth Laser Travel Mouse id=17 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Video Bus id=6 [slave keyboard (3)]
    ↳ Power Button id=7 [slave keyboard (3)]
    ↳ Sleep Button id=8 [slave keyboard (3)]
    ↳ Logitech Logitech USB Keyboard id=9 [slave keyboard (3)]
    ↳ Logitech Logitech USB Keyboard id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=13 [slave keyboard (3)]
    ↳ Dell WMI hotkeys

Revision history for this message
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Revision history for this message
Jean-Claude Le Douaron (jcledoua) wrote :

I got a similar problem with my new HP Pavillon dm1. The buttons on the touchpad work. I can also move the curser but the scrolling function never works.

Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]
⎜ ↳ Macintosh mouse button emulation id=13 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ HP Webcam-50 id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]

Revision history for this message
xaliqen (xaliqen) wrote :

I'm also affected by the bug using Maverick on a Lenovo G555 with Alps trackpad.

Changed in linux (Ubuntu):
status: Expired → New
Revision history for this message
ndde (jannis-upb) wrote :

Same for me on latitute xt.
 uname -a:
Linux ubuntu 2.6.35-22-generic #34-Ubuntu SMP Sun Oct 10 09:24:00 UTC 2010 i686 GNU/Linux

lsinput attached.

Revision history for this message
ndde (jannis-upb) wrote : apport information

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jannis 1585 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xfebfc000 irq 17'
   Mixer name : 'SigmaTel STAC9205'
   Components : 'HDA:838476a0,10280204,00100204'
   Controls : 18
   Simple ctrls : 11
DistroRelease: Ubuntu 10.10
HibernationDevice: RESUME=UUID=8a3b8be5-6b0e-493a-8751-1c434626609e
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate i386 (20100928.1)
MachineType: Dell Inc. Latitude XT
NonfreeKernelModules: wl
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-22-generic root=UUID=2f8bff60-2e11-4986-84c0-65f69fcac972 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.34-generic 2.6.35.4
Regression: No
RelatedPackageVersions: linux-firmware 1.38
Reproducible: Yes
RfKill:
 0: dell-wifi: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: maverick needs-upstream-testing
Uname: Linux 2.6.35-22-generic i686
UserGroups:

dmi.bios.date: 10/31/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd10/31/2008:svnDellInc.:pnLatitudeXT:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Latitude XT
dmi.sys.vendor: Dell Inc.

tags: added: apport-collected
Revision history for this message
ndde (jannis-upb) wrote : AcpiTables.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : AlsaDevices.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : AplayDevices.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : BootDmesg.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : Card0.Amixer.values.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : Card0.Codecs.codec.3.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : CurrentDmesg.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : IwConfig.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : Lspci.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : Lsusb.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : PciMultimedia.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : ProcInterrupts.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : ProcModules.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : UdevDb.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : UdevLog.txt

apport information

Revision history for this message
ndde (jannis-upb) wrote : WifiSyslog.txt

apport information

Revision history for this message
Bouke (bouke-haarsma) wrote :

It also affects my Dell Latitude E6510

uname -a
Linux ... 2.6.35-22-generic #35-Ubuntu SMP Sat Oct 16 20:45:36 UTC 2010 x86_64 GNU/Linux

$ xinput -list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=14 [slave pointer (2)]
(...)

Revision history for this message
mio75 (mio75) wrote :

A similar problem exists on the Dell Precision M4500, see http://ubuntuforums.org/showthread.php?t=1508601

Revision history for this message
John Doe (b2109455) wrote :

same problem in fedora 14 (2.6.35.6-48.fc14.x86_64)

Revision history for this message
Wayne Dawson (waydaws) wrote :

This bug affects me as well. Lenovo G550 alps. Ubuntu 10.04.1 LTS. No horizontal or vertical scrolling (or any alps functions), just operates as ps/2 mouse.

Instead of repeating the same info that everyone else provided, let me ask what info you'd need us to provide to help someone look at this.

Revision history for this message
Isaac Johnston (superstructor) wrote :

This bug also affects my Dell Latitude E6410. No touchpad features due to detection as generic PS/2 mouse.

I am a developer, albeit not a C/kernel one, I may be able to help with providing infos or compiling test kernels etc...

Running Ubuntu 10.10 up-to-date as of today. 2.6.35-22-generic SMP x86_64

xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=13 [slave pointer (2)]

tpconfig -i
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

Revision history for this message
JL Diaz (jldiaz) wrote :

Same problem on my Dell Latitude E5510 (Ubuntu 10/10, up-to-date as to nov 8, 2010).

Is there some (possibly ugly) workaround while the user-friendly solution comes?

Revision history for this message
seltzlab (antonio-seltzlab) wrote :

Same problem on my Dell Precision M4500

antonio@ubik:~$ uname -a
Linux ubik 2.6.35-22-generic #35-Ubuntu SMP Sat Oct 16 20:45:36 UTC 2010 x86_64 GNU/Linux
antonio@ubik:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=10.10
DISTRIB_CODENAME=maverick
DISTRIB_DESCRIPTION="Ubuntu 10.10"

Revision history for this message
james jewkes (james-jewkes) wrote :

Same for me too: Dell Precision M4500;

$ uname -a
Linux jj-fdrg-laptop 2.6.32-24-generic #43-Ubuntu SMP Thu Sep 16 14:58:24 UTC 2010 x86_64 GNU/Linux

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=10.04
DISTRIB_CODENAME=lucid
DISTRIB_DESCRIPTION="Ubuntu 10.04.1 LTS"$

xinput -list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]

Revision history for this message
bagl0312 (bagl0312) wrote :

I think this bug is a duplicated of 550625

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625

There is a temporary solution described there (see #154, #203 and other entries) which is based on recompiling psmouse.ko module with a patch.

Revision history for this message
mio75 (mio75) wrote :

The description of bug:550625 is not really the same - there, the gnome-config "Trackpad" tab is showing, but doesn't work. In contrast, on my system I don't see a "Trackpad" tab at all.

Nevertheless, I patched psmouse.ko as described in
http://confluence.nau.edu/display/~<email address hidden>/Recognize+ALPS+Touchpad+on+Dell+E6510+in+Ubuntu

although it says "Dell Latitude E651" and I have a "Dell Precision M4500" - but I thought they might be the same.

The result is, after restarting the X server, I now see the "Trackpad" tab but it doesn't work, much like described in bug:550625

A small step in the right direction maybe?

(Ubuntu 10.04 with Kernel 2.6.32-25-generic)

Revision history for this message
mio75 (mio75) wrote :

correction for #40:
- I meant the "Touchpad" tab, not "Trackpad".
- by gnome-config, I meant gnome-mouse-properties

Revision history for this message
Luca-formaggia (luca-formaggia) wrote : Re: [Bug 359363] Re: Trackpad detected as PS/2 Generic Mouse

I need to use kernel 2.6.36-020636rc8-generic to be able to control monitor
resolution. However launching

apt-get source linux-image-$(uname -r)

gives me the source of the 2.6.35 kernel (!) which obviously does not link
with the 2.6.36-020636rc8 headers... I have however found a patched
psmose.ko for my kernel but with no apparent changes, a part the fact that
now if I plug an external USB mouse is not working very well. No touchpad
indication in the gnome panel.

Luca

On Sat, Nov 13, 2010 at 7:03 PM, mio75 <email address hidden> wrote:

> correction for #40:
> - I meant the "Touchpad" tab, not "Trackpad".
> - by gnome-config, I meant gnome-mouse-properties
>
> --
> Trackpad detected as PS/2 Generic Mouse
> https://bugs.launchpad.net/bugs/359363
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (667709).
>
> Status in “linux” package in Ubuntu: New
>
> Bug description:
> On the Dell Latitude XT with an Alps trackpad, the trackpad is not detected
> as one but as a "PS/2 Generic Mouse", meaning it does not work with the
> Synaptics driver and is lacking any trackpad-like features. The expected
> result is that it would be detected as a Synaptics touchpad (package
> xserver-xorg-input-synaptics is installed).
>
> I was running Intrepid with 2.6.27, where the problem existed; upgrading to
> the Jaunty beta with 2.6.28 did not help.
>
> uname -a reports:
> Linux tableau 2.6.28-11-generic #41-Ubuntu SMP Wed Apr 8 04:39:23 UTC 2009
> x86_64 GNU/Linux
>
> dmesg reports: (attached)
> [ 31.541971] input: PS/2 Generic Mouse as
> /devices/platform/i8042/serio1/input/input12
>
> /proc/bus/input/devices reports: (attached)
> I: Bus=0011 Vendor=0002 Product=0001 Version=0000
> N: Name="PS/2 Generic Mouse"
> P: Phys=isa0060/serio1/input0
> S: Sysfs=/devices/platform/i8042/serio1/input/input12
> U: Uniq=
> H: Handlers=mouse4 event12
> B: EV=7
> B: KEY=70000 0 0 0 0
> B: REL=3
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/359363/+subscribe
>

--
Luca Formaggia

Revision history for this message
terdon (terdon) wrote :

Same problem here:

uname -a
Linux oregano 2.6.36-020636rc8-generic #201010150908 SMP Fri Oct 15 09:10:32 UTC 2010 x86_64 GNU/Linux

(with a usb mouse attached)
xinput -list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ 2.4GHz RF ONLY MOUSE id=10 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]

Revision history for this message
Steve (steve-sigterm) wrote :

I got the same problem on a Dell Laitude E6510.

Linux steve-Latitude-E6510 2.6.35-23-generic #40-Ubuntu SMP Wed Nov 17 22:14:33 UTC 2010 x86_64 GNU/Linux

xinput -list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]

tpconfig
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).

If any other information is needed, tell me.

Revision history for this message
lrkwz (luca-orlandi) wrote :

~> uname -a; xinput list; sudo tpconfig
Linux Precision-M4500 2.6.35-23-generic-pae #40-Ubuntu SMP Wed Nov 17 22:32:51 UTC 2010 i686 GNU/Linux
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]
⎜ ↳ Dell BT Travel Mouse id=14 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Sleep Button id=9 [slave keyboard (3)]
    ↳ Laptop_Integrated_Webcam_3M id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]
    ↳ Dell WMI hotkeys id=13 [slave keyboard (3)]
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).

Brad Figg (brad-figg)
tags: added: acpi-bad-address
Revision history for this message
kordzik (dariusz-kordonski) wrote :

Same here, Ubuntu 10.10, Dell Precision 4500
uname -a; cat /proc/bus/input/devices; sudo tpconfig
Linux dkordonski-laptop 2.6.35-23-generic #41-Ubuntu SMP Wed Nov 24 11:55:36 UTC 2010 x86_64 GNU/Linux

I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input11
U: Uniq=
H: Handlers=mouse0 event11
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).

https://wiki.ubuntu.com/DebuggingTouchpadDetection suggests that this is problem with the kernel not detecting the touchpad properly

Revision history for this message
Nathan Forbes (sforbes41) wrote :

I don't mean to be repeating this topic or dragging it on, but I figured others with the same hardware would like to know.

I'm on a Sony Vaio VPC-EE3WFX/BJ model laptop with Ubuntu 10.10.

uname -a
Linux nathan-ubuntu 2.6.35-23-generic #41-Ubuntu SMP Wed Nov 24 11:55:36 UTC 2010 x86_64 GNU/Linux

xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=12 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Sony Vaio Keys id=8 [slave keyboard (3)]
    ↳ Power Button id=9 [slave keyboard (3)]
    ↳ Sony Visual Communication Camer id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]

Revision history for this message
James Li (lijamez) wrote :

I also have the same issue on the Acer Aspire 1830T-3730 with Maverick.

Linux James-Laptop 2.6.35-27-generic #47-Ubuntu SMP Fri Feb 11 22:52:49 UTC 2011 x86_64 GNU/Linux

⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ Logitech USB Receiver id=10 [slave pointer (2)]
⎜ ↳ PS/2 Generic Mouse id=13 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Sleep Button id=8 [slave keyboard (3)]
    ↳ Logitech USB Receiver id=9 [slave keyboard (3)]
    ↳ 1.3M WebCam id=11 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=12 [slave keyboard (3)]

Revision history for this message
Wendell (wackywendell) wrote :

Its now been a year since this was reported, and it is still "unassigned". So... does anyone have a workaround?

More specifically (and selfishly), I have a Latitude E6410 like Isaac Johnston above; did anyone with a similar laptop get this working?

Revision history for this message
Luca-formaggia (luca-formaggia) wrote :

The patch in

https://patchwork.kernel.org/patch/118834/

worked with me (partially) I have now scrolling working.

L.F.

On Tue, Apr 12, 2011 at 5:12 PM, Wendell <email address hidden> wrote:

> Its now been a year since this was reported, and it is still
> "unassigned". So... does anyone have a workaround?
>
> More specifically (and selfishly), I have a Latitude E6410 like Isaac
> Johnston above; did anyone with a similar laptop get this working?
>
> ** Also affects: linux (Arch Linux)
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (667707).
> https://bugs.launchpad.net/bugs/359363
>
> Title:
> Trackpad detected as PS/2 Generic Mouse
>
> Status in “linux” package in Ubuntu:
> New
> Status in “linux” package in Arch Linux:
> New
>
> Bug description:
> On the Dell Latitude XT with an Alps trackpad, the trackpad is not
> detected as one but as a "PS/2 Generic Mouse", meaning it does not
> work with the Synaptics driver and is lacking any trackpad-like
> features. The expected result is that it would be detected as a
> Synaptics touchpad (package xserver-xorg-input-synaptics is
> installed).
>
> I was running Intrepid with 2.6.27, where the problem existed;
> upgrading to the Jaunty beta with 2.6.28 did not help.
>
> uname -a reports:
> Linux tableau 2.6.28-11-generic #41-Ubuntu SMP Wed Apr 8 04:39:23 UTC 2009
> x86_64 GNU/Linux
>
> dmesg reports: (attached)
> [ 31.541971] input: PS/2 Generic Mouse as
> /devices/platform/i8042/serio1/input/input12
>
> /proc/bus/input/devices reports: (attached)
> I: Bus=0011 Vendor=0002 Product=0001 Version=0000
> N: Name="PS/2 Generic Mouse"
> P: Phys=isa0060/serio1/input0
> S: Sysfs=/devices/platform/i8042/serio1/input/input12
> U: Uniq=
> H: Handlers=mouse4 event12
> B: EV=7
> B: KEY=70000 0 0 0 0
> B: REL=3
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/359363/+subscribe
>

--
Luca Formaggia

Revision history for this message
Dan McCombs (overridex) wrote :
Download full text (3.6 KiB)

Does tap-to-click still work with this patch in addition to scrolling?

-Dan
On Apr 12, 2011 1:06 PM, "Luca-formaggia" <email address hidden> wrote:
> The patch in
>
> https://patchwork.kernel.org/patch/118834/
>
> worked with me (partially) I have now scrolling working.
>
> L.F.
>
> On Tue, Apr 12, 2011 at 5:12 PM, Wendell <email address hidden>
> wrote:
>
>> Its now been a year since this was reported, and it is still
>> "unassigned". So... does anyone have a workaround?
>>
>> More specifically (and selfishly), I have a Latitude E6410 like Isaac
>> Johnston above; did anyone with a similar laptop get this working?
>>
>> ** Also affects: linux (Arch Linux)
>> Importance: Undecided
>> Status: New
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (667707).
>> https://bugs.launchpad.net/bugs/359363
>>
>> Title:
>> Trackpad detected as PS/2 Generic Mouse
>>
>> Status in “linux” package in Ubuntu:
>> New
>> Status in “linux” package in Arch Linux:
>> New
>>
>> Bug description:
>> On the Dell Latitude XT with an Alps trackpad, the trackpad is not
>> detected as one but as a "PS/2 Generic Mouse", meaning it does not
>> work with the Synaptics driver and is lacking any trackpad-like
>> features. The expected result is that it would be detected as a
>> Synaptics touchpad (package xserver-xorg-input-synaptics is
>> installed).
>>
>> I was running Intrepid with 2.6.27, where the problem existed;
>> upgrading to the Jaunty beta with 2.6.28 did not help.
>>
>> uname -a reports:
>> Linux tableau 2.6.28-11-generic #41-Ubuntu SMP Wed Apr 8 04:39:23 UTC
2009
>> x86_64 GNU/Linux
>>
>> dmesg reports: (attached)
>> [ 31.541971] input: PS/2 Generic Mouse as
>> /devices/platform/i8042/serio1/input/input12
>>
>> /proc/bus/input/devices reports: (attached)
>> I: Bus=0011 Vendor=0002 Product=0001 Version=0000
>> N: Name="PS/2 Generic Mouse"
>> P: Phys=isa0060/serio1/input0
>> S: Sysfs=/devices/platform/i8042/serio1/input/input12
>> U: Uniq=
>> H: Handlers=mouse4 event12
>> B: EV=7
>> B: KEY=70000 0 0 0 0
>> B: REL=3
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/359363/+subscribe
>>
>
>
> --
> Luca Formaggia
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/359363
>
> Title:
> Trackpad detected as PS/2 Generic Mouse
>
> Status in “linux” package in Ubuntu:
> New
> Status in “linux” package in Arch Linux:
> New
>
> Bug description:
> On the Dell Latitude XT with an Alps trackpad, the trackpad is not
> detected as one but as a "PS/2 Generic Mouse", meaning it does not
> work with the Synaptics driver and is lacking any trackpad-like
> features. The expected result is that it would be detected as a
> Synaptics touchpad (package xserver-xorg-input-synaptics is
> installed).
>
> I was running Intrepid with 2.6.27, where the problem existed;
> upgrading to the Jaunty beta with 2.6.28 did not help.
>
> uname -a reports:
> Linux tableau 2.6.28-11-generic #41-Ubuntu SMP Wed Apr 8 04:39:23 UTC 2009
x86_64 GNU/Linux
>
> dmesg reports: (attached)
> [ 31.541971] input: PS/2 Generic Mouse...

Read more...

Brad Figg (brad-figg)
tags: added: b73a1py79
Revision history for this message
Isaac Johnston (superstructor) wrote :

Hooray scrolling is now working with a vanilla Ubuntu 11.04 Natty install on a Dell E6410 =D Yet to test other features, will post an update shortly.

Revision history for this message
Isaac Johnston (superstructor) wrote :

On a Dell E6410 w/ BIOS A07 and Ubuntu 11.04 confirmed working
- tab to left click
- top right corner tap to right click
- vertical scrolling

Other features may be possible with configuration, no time to test yet.

As per earlier comment on 2010-11-08 this was NOT working with Ubuntu 10.10.

If someone else can confirm this bug can probably be resolved ?

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.04
DISTRIB_CODENAME=natty
DISTRIB_DESCRIPTION="Ubuntu 11.04"

uname -a
Linux marvin 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

dmesg|grep -i alps
[ 14.718528] alps.c: Enabled hardware quirk, falling back to psmouse-core
[ 14.732733] input: ImPS/2 ALPS GlidePoint as /devices/platform/i8042/serio1/input/input11

xinput list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ImPS/2 ALPS GlidePoint id=15 [slave pointer (2)]

tpconfig -i
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

Revision history for this message
Brad Figg (brad-figg) wrote :

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in supported series, ple
ase file a new bug.

Changed in linux (Ubuntu):
status: New → Won't Fix
Brad Figg (brad-figg)
tags: removed: b73a1py79
Revision history for this message
Olegch (olegch) wrote :

I have the same issue on a Dell Latitude E6500 running Ubuntu 11.04 64bit

The laptop has a touchpad and a stick (I believe it is called so).

The problem is that sometimes (not always) when the notebook wakes up from standby, the touchpad is recognized as a generic PS/2 mouse. It still works, but there is no touchpad tabs in corresponding settings dialogs, and acceleration and scrolling do not work, which makes it almost impossible to work comfortable.
I use a workaround which fixes it for me, but it would be nice to have this problem fixed once and for all.

The workaround is to remove and install psmouse driver:

sudo rmmod psmouse
sudo insmod /lib/modules/`uname -r`/kernel/drivers/input/mouse/psmouse.ko

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers